#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.1.0"

# Clone Upstream
git clone https://github.com/pop-os/cosmic-applibrary.git
cd cosmic-applibrary

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p cosmic-app-library_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
